Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.webcontainer
Class PicoWebAppContext

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.AbstractHandlerContainer
                  org.mortbay.jetty.handler.HandlerWrapper
                      org.mortbay.jetty.handler.ContextHandler
                          org.mortbay.jetty.servlet.Context
                              org.mortbay.jetty.webapp.WebAppContext
                                  org.nanocontainer.webcontainer.PicoWebAppContext

All Implemented Interfaces:
  org.mortbay.component.LifeCycle, org.mortbay.jetty.Handler, org.mortbay.jetty.HandlerContainer, org.mortbay.util.Attributes

    public class PicoWebAppContext

extends org.mortbay.jetty.webapp.WebAppContext

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.servlet.Context
`org.mortbay.jetty.servlet.Context.SContext`

Field Summary

Fields inherited from class org.mortbay.jetty.webapp.WebAppContext
`ERROR_PAGE, WEB_DEFAULTS_XML`

Fields inherited from class org.mortbay.jetty.servlet.Context
`_securityHandler, _servletHandler, _sessionHandler, NO_SECURITY, NO_SESSIONS, SECURITY, SESSIONS`

Fields inherited from class org.mortbay.jetty.handler.ContextHandler
`_scontext`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`PicoWebAppContext(org.picocontainer.PicoContainer parentContainer)`

Method Summary
`protected void` | `loadConfigurations()`

Methods inherited from class org.mortbay.jetty.webapp.WebAppContext
`addEventListener, addWebApplications, addWebApplications, addWebApplications, addWebApplications, doStart, doStop, dumpUrl, getConfigurationClasses, getConfigurations, getCurrentWebAppContext, getDefaultsDescriptor, getDescriptor, getExtraClasspath, getOverrideDescriptor, getPermissions, getResource, getResourceAlias, getResourceAliases, getServerClasses, getSystemClasses, getTempDirectory, getWar, getWebInf, handle, isCopyWebDir, isDistributable, isExtractWAR, isLogUrlOnStart, isParentLoaderPriority, isProtectedTarget, isTempWorkDirectory, removeResourceAlias, resolveWebApp, setClassLoader, setConfigurationClasses, setConfigurations, setCopyWebDir, setDefaultsDescriptor, setDescriptor, setDistributable, setEventListeners, setExtraClasspath, setExtractWAR, setLogUrlOnStart, setOverrideDescriptor, setParentLoaderPriority, setPermissions, setResourceAlias, setResourceAliases, setServerClasses, setSystemClasses, setTempDirectory, setWar, startContext, toString`

Methods inherited from class org.mortbay.jetty.servlet.Context
`addFilter, addFilter, addFilter, addServlet, addServlet, addServlet, getSecurityHandler, getServletHandler, getSessionHandler, setSecurityHandler, setServletHandler, setSessionHandler`

Methods inherited from class org.mortbay.jetty.handler.ContextHandler
`addLocaleEncoding, clearAttributes, getAllowNullPathInfo, getAttribute, getAttributeNames, getAttributes, getBaseResource, getClassLoader, getClassPath, getConnectorNames, getContextPath, getCurrentContext, getDisplayName, getErrorHandler, getEventListeners, getHosts, getInitParameter, getInitParameterNames, getInitParams, getLocaleEncoding, getMaxFormContentSize, getMimeTypes, getResourceBase, getResourcePaths, getServletContext, getVirtualHosts, getWelcomeFiles, isShutdown, loadClass, removeAttribute, setAllowNullPathInfo, setAttribute, setAttributes, setBaseResource, setConnectorNames, setContextPath, setDisplayName, setErrorHandler, setHosts, setInitParams, setMaxFormContentSize, setMimeTypes, setResourceBase, setServer, setShutdown, setVirtualHosts, setWelcomeFiles`

Methods inherited from class org.mortbay.jetty.handler.HandlerWrapper
`addHandler, expandChildren, getHandler, setHandler`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandlerContainer
`expandHandler, getChildHandlerByClass, getChildHandlers, getChildHandlersByClass`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Constructor Detail

### PicoWebAppContext

    public PicoWebAppContext(org.picocontainer.PicoContainer parentContainer)

Method Detail

### loadConfigurations

    protected void loadConfigurations()
                               throws Exception

  Overrides:
    `loadConfigurations` in class `org.mortbay.jetty.webapp.WebAppContext`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.